from edison_dictionary_api import EdisonBaseAPI


class emotionsAutoKeywordsController(EdisonBaseAPI):
    """Emotions autogenerated keywords"""

    _controller_name = "emotionsAutoKeywordsController"

    def list(self, emotionLanguageId, **kwargs):
        """Return list of autogenerated keywords.

        Args:
            emotionLanguageId: (string): emotionLanguageId
            maxLength: (integer): maxLength
            maxNumber: (integer): maxNumber
            offset: (integer): offset
            sortOrderAscending: (boolean): true = ascending (default); false = descending

        Returns:
            application/json;charset=UTF-8
        """

        api_parameters = ['emotionLanguageId', '**kwargs']
        parameters_names_map = {}
        api = '/emotions-auto-keywords/list'
        actions = ['post']
        params = self._format_params_for_api(locals(), api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params)

    def listForAllEmotions(self, **kwargs):
        """Get keywords list for all emotions.

        Args:
            languageId: (string): languageId
            minLevel: (number): minLevel

        Returns:
            application/json;charset=UTF-8
        """

        api_parameters = ['**kwargs']
        parameters_names_map = {}
        api = '/emotions-auto-keywords/listForAllEmotions'
        actions = ['post']
        params = self._format_params_for_api(locals(), api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params)
