from edison_dictionary_api import EdisonBaseAPI


class userTypesController(EdisonBaseAPI):
    """User types."""

    _controller_name = "userTypesController"

    def list(self):
        """Return list of user types."""

        api_parameters = None
        parameters_names_map = {}
        api = '/userTypes/list'
        actions = ['post']
        params = self._format_params_for_api(locals(), api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params)

    def retrieve(self, id):
        """Retrieve existing user type.

        Args:
            id: (string): id

        Returns:
            application/json;charset=UTF-8
        """

        api_parameters = ['id']
        parameters_names_map = {}
        api = '/userTypes/retrieve'
        actions = ['post']
        params = self._format_params_for_api(locals(), api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params)
